/* Achica y agranda el botón un cachito */


@keyframes moveButton {
    25% {
        width: 7.5em;
    }

    50% {
        width: 8.5em;
    }

    75%{
        width: 7.6em;
    }

    100% {
        width: 8em;
    }
  }
  
  .button {
        position: relative;
        height: 35px;
        width: 110px;
        *border-radius: 50px;
        *background-color: #8B3FC0;
        border: none;
        outline: none;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer; 
        overflow: hidden;
        z-index: 9;
  }
  
  .buttonAnimation {
        animation: 0.7s moveButton ease-in-out 0.7s;
  }
  
  /* Hace fade in del Texto "AGREGADO" */
  @keyframes moveAdded {
    0% {
        visibility: visible;
        font-size: 0em;
    }
    50% {
        visibility: visible;
        font-size: 0.5em;
    }
    100% {
        visibility: visible;
        font-size: 1em;
    }
  }
  
  .buttonAnimation::before {
        position: absolute;
        top: 50%;
        left: 50%;
        visibility: hidden;
        transform: translate(-50%, -50%);
        content: 'AGREGADO';
        color: white;
        text-transform: uppercase;
        *font-family: 'Noto Sans JP', sans-serif; 
        animation: 0.7s moveAdded ease-out 0.7s;
        animation-fill-mode: forwards;
  }
  
  .cart {
        fill: white;
  }
  
  /* Mueve el Carrito*/
  @keyframes moveCart {
    10% {
        transform: rotate(-15deg);
    }
    20% {
        transform: rotate(-2deg) translate(3em, 0em);
    }
    100% {
        transform: rotate(0deg) translate(15em, 0em);
        visibility: hidden;
    }
  }
  
  .cartAnimation {
        animation: 0.6s moveCart ease-in;  
        animation-fill-mode: forwards;
  
  }
  
  .text {
        position: relative;
        color: white;
        *font-size: 0.8em;
        *font-family: 'Noto Sans JP', sans-serif;
        font-style: bold;
        margin-left: 0.4em;
        text-transform: uppercase;
  }
  
  /* Las 2 rayitas que hacen el signo + y despues siguen al carrito*/
  .text::before {
        position: absolute;
        content: '';
        height: 0.12em;
        width: 0.5em;
        background-color: white;
        top: 0.9em;
        left : -2.5em;
  }
  
  .text::after {
        position: absolute;
        content: '';
        height: 0.12em;
        background-color: white;
        top: 0.9em;
        left : -2.5em;
        width: 0.5em;
        transform: rotate(90deg);
  }
  
/*Mueve el Texto AGREGAR*/
  @keyframes moveText {
    10% {
            transform: translate(0,0);
    }
    100% {
            transform: translate(10em, 0em);
            visibility: hidden;
    }
  }

  .textAnimation {
            animation: 0.5s moveText ease-in;
            animation-fill-mode: forwards;
  }
  
  @keyframes moveFirstSign {
    5% {
            top: 0.3em;
    }
    60% {
            left: -5em;
            width: 2em;
    }
    100% {
            top: 0.3em;
            left: -5em;
            width: 6em;
            visibility: hidden;
    }
  }
  
  .textAnimation::before {
        animation: 0.5s moveFirstSign ease-in;
        animation-fill-mode: forwards;
  
  }
  
  @keyframes moveSecondSign {
    5% {
        transform: rotate(180deg);
        top: 0.8em;
        left: -2.5em;
    }
    60% {
        transform: rotate(180deg);
        top: 0.8em;
        left: -4em;
        width: 2em;
    }
    100% {
        transform: rotate(180deg);
        top: 0.8em;
        left: -4em;
        width: 4em;

        visibility: hidden;
    }
  }
  
  .textAnimation::after {
        animation: 0.5s moveSecondSign ease-in;
        animation-fill-mode: forwards;
  }
  